Bug 916676 - Review Request: python-django14 - A high-level Python Web framework
Summary: Review Request: python-django14 - A high-level Python Web framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-28 16:12 UTC by Matthias Runge
Modified: 2013-04-20 19:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 19:13:37 UTC
Type: ---
sgallagh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2013-02-28 16:12:50 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-django14.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django14-1.4.5-3.fc18.src.rpm
Description: Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.

Fedora Account System Username: mrunge

rpmlint ../SRPMS/python-django14-1.4.5-3.fc18.src.rpm ../RPMS/noarch/python-django14-1.4.5-3.fc18.noarch.rpm ../RPMS/noarch/python-django14-doc-1.4.5-3.fc18.noarch.rpm ./python-django14.spec 
python-django14.src: W: spelling-error %description -l en_US Django -> Fandango
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Stephen Gallagher 2013-03-22 12:29:05 UTC
Comments on the spec file:

Nitpicks:
Drop the conditionals on RHEL4+ and F12+. This is never going to be packaged on either of those platforms.

Similarly, there are useless conditionals for fedora <= 9 in the files section. We can include the *.egg-info on all modern platforms.

Use %{pkgname} in Source0:



And now from fedora-review (full text below):

You need to install the LICENSE-JQUERY.txt as well.
Binary eggs are supposed to be removed in %prep. Please remove and rebuild the test eggs. If they cannot be rebuilt, please skip those specific tests, since we cannot verify their veracity.



Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE-JQUERY.txt in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Binary eggs must be removed in %prep
  Note: Binary egg files not removed in %prep:
  ./tests/regressiontests/app_loading/eggs/modelapp.egg
  ./tests/regressiontests/app_loading/eggs/brokenapp.egg
  ./tests/regressiontests/app_loading/eggs/nomodelapp.egg
  ./tests/regressiontests/app_loading/eggs/omelet.egg
  ./tests/regressiontests/utils/eggs/test_egg.egg
  ./tests/regressiontests/templates/eggs/tagsegg.egg
  See: http://fedoraproject.org/wiki/Packaging:Python#Packaging_eggs_and_setuptools_concerns


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     django14-doc
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Apache (v2.0)", "MIT/X11 (BSD like)", "PSF (v2)",
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /dev/shm/rpm/review-python-django14/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django14-1.4.5-3.fc18.noarch.rpm
          python-django14-doc-1.4.5-3.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-django14 python-django14-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-django14 (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    config(python-django14)
    python(abi)
    python-simplejson

python-django14-doc (rpmlib, GLIBC filtered):
    python-django14



Provides
--------
python-django14:
    Django
    config(python-django14)
    python-django14

python-django14-doc:
    Django-docs
    python-django14-doc



MD5-sum check
-------------
http://pypi.python.org/packages/source/D/Django/Django-1.4.5.tar.gz :
  CHECKSUM(SHA256) this package     : 0e1e8c4217299672bbf9404994717fca2d8d4b7a4f7b8b3b74d413e1fda81428
  CHECKSUM(SHA256) upstream package : 0e1e8c4217299672bbf9404994717fca2d8d4b7a4f7b8b3b74d413e1fda81428
Using local file /dev/shm/rpm/simplejson-init.py as upstream
file:///dev/shm/rpm/simplejson-init.py :
  CHECKSUM(SHA256) this package     : 23b5369055a62620806789e66676ce36dbf8962b4f52864052574b9814bc7dc3
  CHECKSUM(SHA256) upstream package : 23b5369055a62620806789e66676ce36dbf8962b4f52864052574b9814bc7dc3


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n python-django14

Comment 2 Matthias Runge 2013-04-03 11:22:35 UTC
Thank you for the review.

I removed the eggs, patched the tests to skip those requiring the eggs and also included LICENSE-JQUERY.txt in %docs

SRPM: http://www.matthias-runge.de/fedora/python-django14-1.4.5-4.fc18.src.rpm
SPEC: http://www.matthias-runge.de/fedora/python-django14.spec

Comment 3 Stephen Gallagher 2013-04-03 12:22:19 UTC
Looks good now. Ack!

Comment 4 Matthias Runge 2013-04-03 12:25:11 UTC
Thanks!

New Package SCM Request
=======================
Package Name: python-django14
Short Description: A high-level Python Web framework
Owners: mrunge
Branches: master

Comment 5 Gwyn Ciesla 2013-04-03 12:39:43 UTC
Git done (by process-git-requests).

Comment 6 Matthias Runge 2013-04-03 13:33:16 UTC
ugh, forgot the f19 branch.

Package Change Request
======================
Package Name: python-django14
New Branches: f19
Owners: mrunge

Comment 7 Gwyn Ciesla 2013-04-03 14:00:27 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-04-04 14:56:36 UTC
python-django14-1.4.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django14-1.4.5-4.fc19

Comment 9 Fedora Update System 2013-04-05 02:57:11 UTC
python-django14-1.4.5-4.fc19 has been pushed to the Fedora 19 testing repository.

Comment 10 Fedora Update System 2013-04-06 05:15:31 UTC
python-django14-1.4.5-5.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-04-20 19:13:39 UTC
python-django14-1.4.5-5.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.